WinShopAPI docs
ReferenceItem lists

Age limits

List age limits

GET
/api/item-lists/age-limits

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/age-limits' \  -H 'Authorization: Bearer <access-token>'
[  {    "id": 0,    "minimalAge": 0,    "name": "string"  }]

Get an age limit

GET
/api/item-lists/age-limits/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
id?integer
Formatint32
minimalAge?|
Formatint32
name?string
Lengthlength <= 40
curl -X GET 'https://<your-instance>/api/item-lists/age-limits/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "minimalAge": 0,  "name": "string"}

Delete an age limit

DELETE
/api/item-lists/age-limits/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/age-limits/0' \  -H 'Authorization: Bearer <access-token>'
Empty